{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "bob",
        "bdb",
        "ooo"
    ],
    "key": {
        "b": {
            "item": "minecraft:blue_stained_glass"
        },
        "o": {
            "item": "minecraft:obsidian"
        },
        "d": {
            "item": "minecraft:diamond"
        }
    },
    "result": {
        "item": "knowledge_book",
        "count": 1
    }
}